{# page.php #}
{% extends 'base.twig' %}

{% block content %}

    <div class="container search-page">
        <h1 class="section-title">{{__('Rechercher', 'skin')}}</h1>
        <h2 class="search-result-title">{{__('%s Résultat%s de recherche pour' | format(posts|length, posts|length > 1 ? 's': ''), 'skin')}} &laquo;{{search_key}} &raquo;</h2>

        {% for post in posts %}
                <div class="search-result-item {{ loop.index > 6 ? 'hidden' : '' }}">
                    <a href="{{ post.url }}" class="search-result-item-url">
                        <div class="post-image" style="background-image: url({{ post.image }})">
                        <span class="post-category color-{{ post.color }}">
                        {% if post.sub_categories %}
                            {{ post.sub_categories | first }}
                        {% else %}
                            {{ post.main_category }}
                        {% endif %}
                        </span>
                        </div>
                        <div class="post-infos">
                            <h3 class="post-title">{{post.title}}</h3>
                            <p class="post-preview-meta">{{ post.date | date("d M Y", "Europe/Paris") }} par {{ post.author }}</p>
                        </div>
                    </a>
                </div>

        {% endfor %}
        {% if posts|length > 6 %}
            <div class="button-container">
                <button id="show-more-results" class="show-more">Tous les résultats</button>
            </div>
        {% endif %}
    </div>



{% endblock %}
